## ros-one-franka-hw 0.10.1-42jammy.20251023.0304

=== debian/changelog ===
ros-one-franka-hw (0.10.1-42jammy.20251023.0304) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 03:04:47 +0000

ros-one-franka-hw (0.10.1-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 03:04:47 -0000
