=== debian/changelog ===
ros-one-franka-hw (0.10.1-42noble.20251023.0302) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 03:02:12 +0000

ros-one-franka-hw (0.10.1-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 03:02:12 -0000
