=== debian/control ===
Source: ros-one-franka-hw
Section: misc
Priority: optional
Maintainer: Franka Robotics GmbH <support@franka.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-combined-robot-hw, ros-one-controller-interface, ros-one-franka-msgs, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-libfranka, ros-one-message-generation, ros-one-pluginlib, ros-one-roscpp, ros-one-std-srvs, ros-one-urdf
Homepage: http://wiki.ros.org/franka_hw
Standards-Version: 3.9.2

Package: ros-one-franka-hw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-combined-robot-hw, ros-one-controller-interface, ros-one-franka-msgs, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-libfranka, ros-one-pluginlib, ros-one-roscpp, ros-one-std-srvs, ros-one-urdf
Description: franka_hw provides hardware interfaces for using Franka Robotics research robots with ros_control
