## ros-one-franka-hw 0.10.1-42noble.20260221.0008

=== debian/changelog ===
ros-one-franka-hw (0.10.1-42noble.20260221.0008) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Sat, 21 Feb 2026 00:08:31 +0000
